Loading...
Searching...
No Matches
casacore::LattStatsSpecialize Class Reference
lattices package (libcasa_lattices) » LatticeMath_module

More...

`#include <LattStatsSpecialize.h>`

## Static Public Member Functions

static Bool | hasSomePoints (Double npts)
static Bool | hasSomePoints (DComplex npts)
static void | setUseItTrue (Float &useIt)
static void | setUseItTrue (Complex &useIt)
static Float | usePixelInc (Float dMin, Float dMax, Float datum)
static Complex | usePixelInc (Complex dMin, Complex dMax, Complex datum)
static Float | usePixelExc (Float dMin, Float dMax, Float datum)
static Complex | usePixelExc (Complex dMin, Complex dMax, Complex datum)
static Double | getMean (Double sum, Double n)
static DComplex | getMean (DComplex sum, DComplex n)
static Double | getVariance (Double sum, Double sumsq, Double n)
static DComplex | getVariance (DComplex sum, DComplex sumsq, DComplex n)
static Double | getSigma (Double sum, Double sumsq, Double n)
static DComplex | getSigma (DComplex sum, DComplex sumsq, DComplex n)
static Double | getSigma (Double var)
static DComplex | getSigma (DComplex var)
static Double | getRms (Double sumsq, Double n)
static DComplex | getRms (DComplex sumsq, DComplex n)
static Float | min (Float v1, Float v2)
static Complex | min (Complex v1, Complex v2)
static Float | max (Float v1, Float v2)
static Complex | max (Complex v1, Complex v2)
static Float | getNodeScalarValue (const LatticeExprNode &node, Float)
static Complex | getNodeScalarValue (const LatticeExprNode &node, Complex)
template<class T>
static Bool | setIncludeExclude (String &errorMessage, Vector< T > &range, Bool &noInclude, Bool &noExclude, const Vector< T > &include, const Vector< T > &exclude)
static Bool | setIncludeExclude (String &errorMessage, Vector< Complex > &range, Bool &noInclude, Bool &noExclude, const Vector< Complex > &include, const Vector< Complex > &exclude)
static Bool | minMax (Float &dataMin, Float &dataMax, const MaskedLattice< Float > *pLattice, const Vector< Float > &range, Bool noInclude, Bool noExclude)
static Bool | minMax (Complex &dataMin, Complex &dataMax, const MaskedLattice< Complex > *pLattice, const Vector< Complex > &range, Bool noInclude, Bool noExclude)

## Detailed Description

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Etymology

### Synopsis

### Motivation

Definition at line 66 of file LattStatsSpecialize.h.

## Member Function Documentation

## getMean() [1/2]

DComplex casacore::LattStatsSpecialize::getMean | ( | DComplex | sum,
|  | DComplex | n )

static

References casacore::sum().

## getMean() [2/2]

Double casacore::LattStatsSpecialize::getMean | ( | Double | sum,
|  | Double | n )

static

References casacore::sum().

## getNodeScalarValue() [1/2]

Complex casacore::LattStatsSpecialize::getNodeScalarValue | ( | const LatticeExprNode & | node,
|  | Complex | )

static

## getNodeScalarValue() [2/2]

Float casacore::LattStatsSpecialize::getNodeScalarValue | ( | const LatticeExprNode & | node,
|  | Float | )

static

## getRms() [1/2]

DComplex casacore::LattStatsSpecialize::getRms | ( | DComplex | sumsq,
|  | DComplex | n )

static

## getRms() [2/2]

Double casacore::LattStatsSpecialize::getRms | ( | Double | sumsq,
|  | Double | n )

static

## getSigma() [1/4]

DComplex casacore::LattStatsSpecialize::getSigma | ( | DComplex | sum,
|  | DComplex | sumsq,
|  | DComplex | n )

static

References casacore::sum().

## getSigma() [2/4]

DComplex casacore::LattStatsSpecialize::getSigma | ( | DComplex | var | ) |

static

## getSigma() [3/4]

Double casacore::LattStatsSpecialize::getSigma | ( | Double | sum,
|  | Double | sumsq,
|  | Double | n )

static

References casacore::sum().

## getSigma() [4/4]

Double casacore::LattStatsSpecialize::getSigma | ( | Double | var | ) |

static

## getVariance() [1/2]

DComplex casacore::LattStatsSpecialize::getVariance | ( | DComplex | sum,
|  | DComplex | sumsq,
|  | DComplex | n )

static

References casacore::sum().

## getVariance() [2/2]

Double casacore::LattStatsSpecialize::getVariance | ( | Double | sum,
|  | Double | sumsq,
|  | Double | n )

static

References casacore::sum().

## hasSomePoints() [1/2]

Bool casacore::LattStatsSpecialize::hasSomePoints | ( | DComplex | npts | ) |

static

## hasSomePoints() [2/2]

Bool casacore::LattStatsSpecialize::hasSomePoints | ( | Double | npts | ) |

static

## max() [1/2]

Complex casacore::LattStatsSpecialize::max | ( | Complex | v1,
|  | Complex | v2 )

static

## max() [2/2]

Float casacore::LattStatsSpecialize::max | ( | Float | v1,
|  | Float | v2 )

static

## min() [1/2]

Complex casacore::LattStatsSpecialize::min | ( | Complex | v1,
|  | Complex | v2 )

static

## min() [2/2]

Float casacore::LattStatsSpecialize::min | ( | Float | v1,
|  | Float | v2 )

static

## minMax() [1/2]

Bool casacore::LattStatsSpecialize::minMax | ( | Complex & | dataMin,
|  | Complex & | dataMax,
|  | const MaskedLattice< Complex > * | pLattice,
|  | const Vector< Complex > & | range,
|  | Bool | noInclude,
|  | Bool | noExclude )

static

## minMax() [2/2]

Bool casacore::LattStatsSpecialize::minMax | ( | Float & | dataMin,
|  | Float & | dataMax,
|  | const MaskedLattice< Float > * | pLattice,
|  | const Vector< Float > & | range,
|  | Bool | noInclude,
|  | Bool | noExclude )

static

## setIncludeExclude() [1/2]

Bool casacore::LattStatsSpecialize::setIncludeExclude | ( | String & | errorMessage,
|  | Vector< Complex > & | range,
|  | Bool & | noInclude,
|  | Bool & | noExclude,
|  | const Vector< Complex > & | include,
|  | const Vector< Complex > & | exclude )

static

## setIncludeExclude() [2/2]

template<class T>

Bool casacore::LattStatsSpecialize::setIncludeExclude | ( | String & | errorMessage,
|  | Vector< T > & | range,
|  | Bool & | noInclude,
|  | Bool & | noExclude,
|  | const Vector< T > & | include,
|  | const Vector< T > & | exclude )

static

## setUseItTrue() [1/2]

void casacore::LattStatsSpecialize::setUseItTrue | ( | Complex & | useIt | ) |

static

## setUseItTrue() [2/2]

void casacore::LattStatsSpecialize::setUseItTrue | ( | Float & | useIt | ) |

static

## usePixelExc() [1/2]

Complex casacore::LattStatsSpecialize::usePixelExc | ( | Complex | dMin,
|  | Complex | dMax,
|  | Complex | datum )

static

## usePixelExc() [2/2]

Float casacore::LattStatsSpecialize::usePixelExc | ( | Float | dMin,
|  | Float | dMax,
|  | Float | datum )

static

## usePixelInc() [1/2]

Complex casacore::LattStatsSpecialize::usePixelInc | ( | Complex | dMin,
|  | Complex | dMax,
|  | Complex | datum )

static

## usePixelInc() [2/2]

Float casacore::LattStatsSpecialize::usePixelInc | ( | Float | dMin,
|  | Float | dMax,
|  | Float | datum )

static

The documentation for this class was generated from the following file:

- lattices/LatticeMath/LattStatsSpecialize.h